import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import { mapState } from 'vuex'
import './style/index.scss'
// import './style/icons.css'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css';

Vue.config.productionTip = false

Vue.use(ElementUI)
// 将state混入computed
Vue.mixin({
  computed: {
    ...mapState(Object.keys(store.state))
  }
})

new Vue({
	router,
	store,
	render: h => h(App)
}).$mount('#app')
